id: https://w3id.org/gaia-x/development#data-portability
name: data-portability
prefixes:
  linkml: https://w3id.org/linkml/
  gx: https://w3id.org/gaia-x/development#
imports:
  - linkml:types
  - contact-information
  - legal-document
  - slots
default_prefix: gx
default_range: string

classes:

  DataPortability:
    description: Which resource of the service offering is concerned by this data
      portability measure. For example, backup files, stored personal data, infrastructure
      description file (IaaS), etc.
    slots:
      - resource
      - contactInformation
      - means
      - documentations
      - legalDocument
      - deletionMethods
      - deletionTimeframe
      - formats
      - pricing
    slot_usage:
      means:
        description: Means used to transfer the customer's stored data to another provider.